%--------------------------------------------------------------------------
% save tracers, auxiliary variables and process rates to final output array
%--------------------------------------------------------------------------
% in the water column
for k=1:kmax
    output_t_n2(k,current_output_index)=output_vector_t_n2(k)/output_count;
    output_t_o2(k,current_output_index)=output_vector_t_o2(k)/output_count;
    output_t_dic(k,current_output_index)=output_vector_t_dic(k)/output_count;
    output_t_nh4(k,current_output_index)=output_vector_t_nh4(k)/output_count;
    output_t_no3(k,current_output_index)=output_vector_t_no3(k)/output_count;
    output_t_po4(k,current_output_index)=output_vector_t_po4(k)/output_count;
    output_t_spp(k,current_output_index)=output_vector_t_spp(k)/output_count;
    output_t_zoo(k,current_output_index)=output_vector_t_zoo(k)/output_count;
    output_t_h2s(k,current_output_index)=output_vector_t_h2s(k)/output_count;
    output_t_sul(k,current_output_index)=output_vector_t_sul(k)/output_count;
    output_t_alk(k,current_output_index)=output_vector_t_alk(k)/output_count;
    output_t_ipw(k,current_output_index)=output_vector_t_ipw(k)/output_count;
    output_t_lpp(k,current_output_index)=output_vector_t_lpp(k)/output_count;
    output_t_cya(k,current_output_index)=output_vector_t_cya(k)/output_count;
    output_t_det(k,current_output_index)=output_vector_t_det(k)/output_count;
end
% in the sediment
  output_t_sed(1,current_output_index)=output_scalar_t_sed/output_count;
  output_t_ips(1,current_output_index)=output_scalar_t_ips/output_count;
% at the sea surface
  output_k0_co2         (1,current_output_index)=output_scalar_k0_co2         /output_count;
  output_k1_co2         (1,current_output_index)=output_scalar_k1_co2         /output_count;
  output_k2_co2         (1,current_output_index)=output_scalar_k2_co2         /output_count;
  output_alk_boron      (1,current_output_index)=output_scalar_alk_boron      /output_count;
  output_alk_h2s        (1,current_output_index)=output_scalar_alk_h2s        /output_count;
  output_alk_water      (1,current_output_index)=output_scalar_alk_water      /output_count;
  output_alk_po4        (1,current_output_index)=output_scalar_alk_po4        /output_count;
  output_alk_co2        (1,current_output_index)=output_scalar_alk_co2        /output_count;
  output_alk_residual   (1,current_output_index)=output_scalar_alk_residual   /output_count;
  output_dalkp_dh3o     (1,current_output_index)=output_scalar_dalkp_dh3o     /output_count;
  output_dalkc_dh3o     (1,current_output_index)=output_scalar_dalkc_dh3o     /output_count;
  output_dalkresidual_dpH(1,current_output_index)=output_scalar_dalkresidual_dpH/output_count;
  output_ph             (1,current_output_index)=output_scalar_ph             /output_count;
  output_h3o            (1,current_output_index)=output_scalar_h3o            /output_count;
  output_pco2           (1,current_output_index)=output_scalar_pco2           /output_count;
  output_co2            (1,current_output_index)=output_scalar_co2            /output_count;
  output_p_co2_stf_down (1,current_output_index)=output_scalar_p_co2_stf_down /output_count;
  output_p_co2_stf_up   (1,current_output_index)=output_scalar_p_co2_stf_up   /output_count;
% pseudo-3d tracers


% now, set the temporary output vector to zero
  output_vector_t_n2 = zeros(1,kmax);
  output_vector_t_o2 = zeros(1,kmax);
  output_vector_t_dic = zeros(1,kmax);
  output_vector_t_nh4 = zeros(1,kmax);
  output_vector_t_no3 = zeros(1,kmax);
  output_vector_t_po4 = zeros(1,kmax);
  output_vector_t_spp = zeros(1,kmax);
  output_vector_t_zoo = zeros(1,kmax);
  output_vector_t_h2s = zeros(1,kmax);
  output_vector_t_sul = zeros(1,kmax);
  output_vector_t_alk = zeros(1,kmax);
  output_vector_t_ipw = zeros(1,kmax);
  output_vector_t_lpp = zeros(1,kmax);
  output_vector_t_cya = zeros(1,kmax);
  output_vector_t_det = zeros(1,kmax);
  output_scalar_t_sed = 0.0;        
  output_scalar_t_ips = 0.0;        
  output_scalar_k0_co2          = 0.0;        
  output_scalar_k1_co2          = 0.0;        
  output_scalar_k2_co2          = 0.0;        
  output_scalar_alk_boron       = 0.0;        
  output_scalar_alk_h2s         = 0.0;        
  output_scalar_alk_water       = 0.0;        
  output_scalar_alk_po4         = 0.0;        
  output_scalar_alk_co2         = 0.0;        
  output_scalar_alk_residual    = 0.0;        
  output_scalar_dalkp_dh3o      = 0.0;        
  output_scalar_dalkc_dh3o      = 0.0;        
  output_scalar_dalkresidual_dpH = 0.0;        
  output_scalar_ph              = 0.0;        
  output_scalar_h3o             = 0.0;        
  output_scalar_pco2            = 0.0;        
  output_scalar_co2             = 0.0;        
  output_scalar_p_co2_stf_down  = 0.0;        
  output_scalar_p_co2_stf_up    = 0.0;        
